Loading...
Searching...
No Matches
boundarygrid.cpp File Reference

Class describing 2D quadrilateral grids. More...

`#include "boundarygrid.hh"`
`#include <iostream>`

## Namespaces

namespace | Opm
| Inverting small matrices.

## Functions

bool | Opm::Elasticity::EQUAL2 (const BoundaryGrid::FaceCoord &x, const BoundaryGrid::FaceCoord &y, double tol)
| Check that two points are sufficiently equal.
BoundaryGrid::Vertex | Opm::Elasticity::minXminY (const std::vector< BoundaryGrid::Vertex > &in)
| Find the vertex in the vector with minimum X and minimum Y.
BoundaryGrid::Vertex | Opm::Elasticity::maxXminY (const std::vector< BoundaryGrid::Vertex > &in)
| Find the vertex in the vector with maximum X and minimum Y.
BoundaryGrid::Vertex | Opm::Elasticity::maxXmaxY (const std::vector< BoundaryGrid::Vertex > &in)
| Find the vertex in the vector with maximum X and maximum Y.
BoundaryGrid::Vertex | Opm::Elasticity::minXmaxY (const std::vector< BoundaryGrid::Vertex > &in)
| Find the vertex in the vector with minimum X and maximum Y.

## Detailed Description

Class describing 2D quadrilateral grids.

Date
  Nov 9 2011

Author
  Arne Morten Kvarving / SINTEF

## Function Documentation

## EQUAL2()

bool Opm::Elasticity::EQUAL2 | ( | const BoundaryGrid::FaceCoord & | x,
|  | const BoundaryGrid::FaceCoord & | y,
|  | double | tol )

inline

Check that two points are sufficiently equal.

Parameters

  [in] | x | First point
  [in] | y | Second point
  [in] | tol | Tolerance of comparison

## maxXmaxY()

BoundaryGrid::Vertex Opm::Elasticity::maxXmaxY | ( | const std::vector< BoundaryGrid::Vertex > & | in | ) |

Find the vertex in the vector with maximum X and maximum Y.

Returns
  The requested vertex

## maxXminY()

BoundaryGrid::Vertex Opm::Elasticity::maxXminY | ( | const std::vector< BoundaryGrid::Vertex > & | in | ) |

Find the vertex in the vector with maximum X and minimum Y.

Returns
  The requested vertex

## minXmaxY()

BoundaryGrid::Vertex Opm::Elasticity::minXmaxY | ( | const std::vector< BoundaryGrid::Vertex > & | in | ) |

Find the vertex in the vector with minimum X and maximum Y.

Returns
  The requested vertex

## minXminY()

BoundaryGrid::Vertex Opm::Elasticity::minXminY | ( | const std::vector< BoundaryGrid::Vertex > & | in | ) |

Find the vertex in the vector with minimum X and minimum Y.

Returns
  The requested vertex